from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import File, String, Boolean, Int

Qualitycontrol_V0_1_0 = CommandToolBuilder(tool="QualityControl", base_command=["QualityControl"], inputs=[ToolInput(tag="in_in_cm", input_type=File(optional=True), prefix="-in_cm", doc=InputDocumentation(doc="*                         ConsensusXML input, generated by FeatureLinker. (valid formats: 'consensusXML')")), ToolInput(tag="in_in_raw", input_type=String(optional=True), prefix="-in_raw", doc=InputDocumentation(doc="MzML input (after InternalCalibration, if available) (valid formats: 'mzML')")), ToolInput(tag="in_in_post_fdr", input_type=String(optional=True), prefix="-in_postFDR", doc=InputDocumentation(doc="FeatureXMLs after FDR filtering (valid formats: 'featureXML')")), ToolInput(tag="in_out", input_type=File(optional=True), prefix="-out", doc=InputDocumentation(doc="Output mzTab with QC information (valid formats: 'mzTab')")), ToolInput(tag="in_out_cm", input_type=File(optional=True), prefix="-out_cm", doc=InputDocumentation(doc="ConsensusXML with QC information (as metavalues) (valid formats: 'consensusXML')")), ToolInput(tag="in_out_feat", input_type=String(optional=True), prefix="-out_feat", doc=InputDocumentation(doc="FeatureXMLs with QC information (as metavalues) (valid formats: 'featureXML')")), ToolInput(tag="in_in_contaminants", input_type=File(optional=True), prefix="-in_contaminants", doc=InputDocumentation(doc="Proteins considered contaminants (valid formats: 'fasta')")), ToolInput(tag="in_in_traf_o", input_type=File(optional=True), prefix="-in_trafo", doc=InputDocumentation(doc="TrafoXMLs from MapAligners (valid formats: 'trafoXML')")), ToolInput(tag="in_ms_two_id_rate", input_type=Boolean(optional=True), prefix="-MS2_id_rate", doc=InputDocumentation(doc=":assume_all_target         Forces the metric to run even if target/decoy annotation is missing (accepts all pep_ids as target hits).")), ToolInput(tag="in_ini", input_type=File(optional=True), prefix="-ini", doc=InputDocumentation(doc="Use the given TOPP INI file")), ToolInput(tag="in_threads", input_type=Int(optional=True), prefix="-threads", doc=InputDocumentation(doc="Sets the number of threads allowed to be used by the TOPP tool (default: '1')")), ToolInput(tag="in_write_ini", input_type=File(optional=True), prefix="-write_ini", doc=InputDocumentation(doc="Writes the default configuration file")), ToolInput(tag="in_helphelp", input_type=Boolean(optional=True), prefix="--helphelp", doc=InputDocumentation(doc="Shows all options (including advanced)"))], outputs=[], container="quay.io/biocontainers/openms:2.6.0--h4afb90d_0", version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Qualitycontrol_V0_1_0().translate("wdl")

